### Method

# Vte Terminal event_check_gregex_simple

deprecated: 0.46 since: 0.44

#### Declaration [src]

    gboolean
    vte_terminal_event_check_gregex_simple (
      VteTerminal* terminal,
      GdkEvent* event,
      GRegex** regexes,
      gsize n_regexes,
      GRegexMatchFlags match_flags,
      char** matches
    )

#### Description [src]

This function does nothing.

Available since: 0.44

Deprecated since: 0.46

Use `vte_terminal_event_check_regex_simple()` instead.

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`.

  The data is owned by the caller of the method.

`regexes`

  Type: An array of `GRegex*`

  An array of `GRegex`.

  The length of the array is specified in the `n_regexes` argument.
  The data is owned by the caller of the method.

`n_regexes`

  Type: `gsize`

  Number of items in `regexes`.

  The argument will be set by the function.

`match_flags`

  Type: `GRegexMatchFlags`

  The `GRegexMatchFlags` to use when matching the regexes.

`matches`

  Type: An array of `char*`

  A location to store the matches.

  The argument will be set by the function.
  The length of the array is specified in the `n_regexes` argument.
  The returned data is owned by the instance.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE`.